@import 'variables';

#e404 {
  background: $text;
  height: 100vh;
  width: 100vw;
  .content {
    h1 {
      position: absolute;
      top: 30%;
      left: 50%;
      transform: translate(-50%, -50%);
      font-size: 8rem;
      font-weight: 800;
      font-style: italic;
      @include gradient-text($grad1);
      @media #{$mq-phone} {
        font-size: 5rem;
      }
    }
    .err-msg {
      display: flex;
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      font-size: 3rem;
      white-space: nowrap;
      font-weight: 700;
      text-transform: uppercase;
      line-height: 6rem;
      @media #{$mq-phone} {
        font-size: 1.2rem;
      }
      p {
        @include gradient-text($grad1);
        font-style: italic;
      }
      .emoji {
        margin-left: 10px;
      }
    }
    .cta-button {
      position: absolute;
      top: 70%;
      left: 50%;
      transform: translate(-50%, -50%);
    }
  }
  *::selection {
    background: $bg;
    color: $text;
    -webkit-text-fill-color: $text;
  }
}
